Skip to main content

Update a transaction

PATCH 

/auth/payment-gateway/transactions/:id

Update a transaction

Request

Path Parameters

    id stringrequired

    Unique ID of the transaction to retrieve.

Responses

successful operation

Schema

    id uuidrequired

    cents id of the transaction

    external_id stringrequired

    Payment gateway id, the payment gateway unique name identifier is put at the begining of the string (this is inserted by cents according to the logged user)

    company_id uuidrequired

    Cents id of the company (if we have data of it)

    payment_gateway_company_id uuid

    Payment gateway internal id of the company (even if we do not have data of it)

    company_sector string

    sector of the company

    payment_gateway_id uuidrequired

    Cents id of the payment gateway

    payment_gateway_order_transaction_id string

    Payment Gateway Order Transaction ID, the Identifier for the Initial (order) Transaction in the Process Flow.

    order_amount floatrequired

    Transaction amount

    total_amount floatrequired

    Transaction amount

    currency stringrequired

    Transaction currency

    charity_id uuidrequired

    Cents id of the charity

    donation_cause stringrequired

    Cause unique name (in the namespace of the charity)

    donation_amount floatrequired

    Donation amount

    donation_currency stringrequired

    Donation currency

    created_date daterequired

    Transaction created date

    updated_date daterequired

    Transaction updated date

    consumer_user_id stringrequired

    Cents id of consumer user (if we have data of it)

    consumer_user_full_name stringrequired

    Consumer user name (if we have data of it)

    consumer_user_email emailrequired

    Consumer user email (if we have data of it)

    consumer_user_phone stringrequired

    Consumer user phone number (if we have data of it)

    billable_address

    object

    required

    street_address stringrequired
    city stringrequired
    region_state stringrequired
    zip_code stringrequired
    country stringrequired
    transaction_status stringrequired

    Possible values: [pre_transaction, draft, paid, refunded, disputed, failed]

    Transaction status

    hmac string

    hash of transaction

    refunded_amount floatrequired

    Refunded amount

    reconciliation_id stringrequired

    External ID (generated by the payment gateway) used to reconcilate transaction with the pre_transaction

Loading...